{% extends 'base.html' %}

{% block content %}
    <h1>{{ title }}</h1>

    <div>
        <a class="btn btn-primary" href="{% url 'blog:post-create' %}">Add new Post</a>

        {% for post in posts %} {# Template Tag #}
            <!-- Template Tag from HTML Comment -->
            <div style="border: 1px solid black; background-image: url('{% if post.image %}{{ post.image.url }}{% endif %}'); background-position: center;background-size: cover">
                {% if post.is_recent %}
                    <div class="badge">fresh</div>
                {% else %}
                    <div class="badge danger">old</div>
                {% endif %}
                {% for tag in post.tags.all %}
                     <span class="badge bg-info">{{ tag.name }}</span>
                {% endfor %}
                <p>
                    <a href="{{ post.get_absolute_url }}">{{ post.title }}</a>
                    &mdash;
                    <small><a href="{% url 'users:profile' post.author.profile.pk %}">{{ post.author }}</a>{{ post.create_time|timesince }} Ago</small></p>
                <p>{{ post.text|truncatechars:256 }}</p>
            </div>
        {% endfor %}

        {% for page_number in page_obj.paginator.get_elided_page_range %}
            {% if page_number == page_obj.paginator.ELLIPSIS %}
                {{ page_number }}
            {% else %}
                <a
                        href="{% url 'blog:home' %}?page={{ page_number }}&q={{ request.GET.q }}"
                        class="{% if page_number == page_obj.number %}current{% endif %} btn btn-primary    "
                >
                    {{ page_number }}
                </a>
            {% endif %}
        {% endfor %}
    </div>
{% endblock %}
